Index: issm/trunk/src/m/enum/EnumDefinitions.py
===================================================================
--- issm/trunk/src/m/enum/EnumDefinitions.py	(revision 12709)
+++ issm/trunk/src/m/enum/EnumDefinitions.py	(revision 13395)
@@ -1765,5 +1907,5 @@
 	"""
 
-	return StringToEnum('TransientIsthermal')
+	return StringToEnum('TransientIsthermal')[0]
 
 def TransientNumRequestedOutputsEnum():
@@ -1775,5 +1917,5 @@
 	"""
 
-	return StringToEnum('TransientNumRequestedOutputs')
+	return StringToEnum('TransientNumRequestedOutputs')[0]
 
 def TransientRequestedOutputsEnum():
@@ -1785,5 +1927,5 @@
 	"""
 
-	return StringToEnum('TransientRequestedOutputs')
+	return StringToEnum('TransientRequestedOutputs')[0]
 
 def SolutionTypeEnum():
@@ -1795,5 +1937,5 @@
 	"""
 
-	return StringToEnum('SolutionType')
+	return StringToEnum('SolutionType')[0]
 
 def AnalysisTypeEnum():
@@ -1805,5 +1947,5 @@
 	"""
 
-	return StringToEnum('AnalysisType')
+	return StringToEnum('AnalysisType')[0]
 
 def ConfigurationTypeEnum():
@@ -1815,5 +1957,5 @@
 	"""
 
-	return StringToEnum('ConfigurationType')
+	return StringToEnum('ConfigurationType')[0]
 
 def AdjointBalancethicknessAnalysisEnum():
@@ -1825,5 +1967,5 @@
 	"""
 
-	return StringToEnum('AdjointBalancethicknessAnalysis')
+	return StringToEnum('AdjointBalancethicknessAnalysis')[0]
 
 def AdjointHorizAnalysisEnum():
@@ -1835,5 +1977,5 @@
 	"""
 
-	return StringToEnum('AdjointHorizAnalysis')
+	return StringToEnum('AdjointHorizAnalysis')[0]
 
 def AdjointSolutionEnum():
@@ -1845,5 +1987,5 @@
 	"""
 
-	return StringToEnum('AdjointSolution')
+	return StringToEnum('AdjointSolution')[0]
 
 def AnalysisCounterEnum():
@@ -1855,5 +1997,5 @@
 	"""
 
-	return StringToEnum('AnalysisCounter')
+	return StringToEnum('AnalysisCounter')[0]
 
 def BalancethicknessAnalysisEnum():
@@ -1865,5 +2007,5 @@
 	"""
 
-	return StringToEnum('BalancethicknessAnalysis')
+	return StringToEnum('BalancethicknessAnalysis')[0]
 
 def BalancethicknessSolutionEnum():
@@ -1875,5 +2017,5 @@
 	"""
 
-	return StringToEnum('BalancethicknessSolution')
+	return StringToEnum('BalancethicknessSolution')[0]
 
 def BedSlopeAnalysisEnum():
@@ -1885,5 +2027,5 @@
 	"""
 
-	return StringToEnum('BedSlopeAnalysis')
+	return StringToEnum('BedSlopeAnalysis')[0]
 
 def BedSlopeSolutionEnum():
@@ -1895,5 +2037,5 @@
 	"""
 
-	return StringToEnum('BedSlopeSolution')
+	return StringToEnum('BedSlopeSolution')[0]
 
 def BedSlopeXAnalysisEnum():
@@ -1905,5 +2047,5 @@
 	"""
 
-	return StringToEnum('BedSlopeXAnalysis')
+	return StringToEnum('BedSlopeXAnalysis')[0]
 
 def BedSlopeYAnalysisEnum():
@@ -1915,5 +2057,5 @@
 	"""
 
-	return StringToEnum('BedSlopeYAnalysis')
+	return StringToEnum('BedSlopeYAnalysis')[0]
 
 def DiagnosticHorizAnalysisEnum():
@@ -1925,5 +2067,5 @@
 	"""
 
-	return StringToEnum('DiagnosticHorizAnalysis')
+	return StringToEnum('DiagnosticHorizAnalysis')[0]
 
 def DiagnosticHutterAnalysisEnum():
@@ -1935,5 +2077,5 @@
 	"""
 
-	return StringToEnum('DiagnosticHutterAnalysis')
+	return StringToEnum('DiagnosticHutterAnalysis')[0]
 
 def DiagnosticSolutionEnum():
@@ -1945,5 +2087,5 @@
 	"""
 
-	return StringToEnum('DiagnosticSolution')
+	return StringToEnum('DiagnosticSolution')[0]
 
 def DiagnosticVertAnalysisEnum():
@@ -1955,5 +2097,5 @@
 	"""
 
-	return StringToEnum('DiagnosticVertAnalysis')
+	return StringToEnum('DiagnosticVertAnalysis')[0]
 
 def EnthalpyAnalysisEnum():
@@ -1965,5 +2107,5 @@
 	"""
 
-	return StringToEnum('EnthalpyAnalysis')
+	return StringToEnum('EnthalpyAnalysis')[0]
 
 def EnthalpySolutionEnum():
@@ -1975,5 +2117,5 @@
 	"""
 
-	return StringToEnum('EnthalpySolution')
+	return StringToEnum('EnthalpySolution')[0]
 
 def FlaimAnalysisEnum():
@@ -1985,5 +2127,5 @@
 	"""
 
-	return StringToEnum('FlaimAnalysis')
+	return StringToEnum('FlaimAnalysis')[0]
 
 def FlaimSolutionEnum():
@@ -1995,5 +2137,5 @@
 	"""
 
-	return StringToEnum('FlaimSolution')
+	return StringToEnum('FlaimSolution')[0]
 
 def HydrologyAnalysisEnum():
@@ -2005,5 +2147,5 @@
 	"""
 
-	return StringToEnum('HydrologyAnalysis')
+	return StringToEnum('HydrologyAnalysis')[0]
 
 def HydrologySolutionEnum():
@@ -2015,5 +2157,5 @@
 	"""
 
-	return StringToEnum('HydrologySolution')
+	return StringToEnum('HydrologySolution')[0]
 
 def MeltingAnalysisEnum():
@@ -2025,5 +2167,5 @@
 	"""
 
-	return StringToEnum('MeltingAnalysis')
+	return StringToEnum('MeltingAnalysis')[0]
 
 def NoneAnalysisEnum():
@@ -2035,5 +2177,5 @@
 	"""
 
-	return StringToEnum('NoneAnalysis')
+	return StringToEnum('NoneAnalysis')[0]
 
 def PrognosticAnalysisEnum():
@@ -2045,5 +2187,5 @@
 	"""
 
-	return StringToEnum('PrognosticAnalysis')
+	return StringToEnum('PrognosticAnalysis')[0]
 
 def PrognosticSolutionEnum():
@@ -2055,5 +2197,5 @@
 	"""
 
-	return StringToEnum('PrognosticSolution')
+	return StringToEnum('PrognosticSolution')[0]
 
 def SteadystateSolutionEnum():
@@ -2065,5 +2207,5 @@
 	"""
 
-	return StringToEnum('SteadystateSolution')
+	return StringToEnum('SteadystateSolution')[0]
 
 def SurfaceSlopeAnalysisEnum():
@@ -2075,5 +2217,5 @@
 	"""
 
-	return StringToEnum('SurfaceSlopeAnalysis')
+	return StringToEnum('SurfaceSlopeAnalysis')[0]
 
 def SurfaceSlopeSolutionEnum():
@@ -2085,5 +2227,5 @@
 	"""
 
-	return StringToEnum('SurfaceSlopeSolution')
+	return StringToEnum('SurfaceSlopeSolution')[0]
 
 def SurfaceSlopeXAnalysisEnum():
@@ -2095,5 +2237,5 @@
 	"""
 
-	return StringToEnum('SurfaceSlopeXAnalysis')
+	return StringToEnum('SurfaceSlopeXAnalysis')[0]
 
 def SurfaceSlopeYAnalysisEnum():
@@ -2105,5 +2247,5 @@
 	"""
 
-	return StringToEnum('SurfaceSlopeYAnalysis')
+	return StringToEnum('SurfaceSlopeYAnalysis')[0]
 
 def ThermalAnalysisEnum():
@@ -2115,5 +2257,5 @@
 	"""
 
-	return StringToEnum('ThermalAnalysis')
+	return StringToEnum('ThermalAnalysis')[0]
 
 def ThermalSolutionEnum():
@@ -2125,5 +2267,5 @@
 	"""
 
-	return StringToEnum('ThermalSolution')
+	return StringToEnum('ThermalSolution')[0]
 
 def TransientSolutionEnum():
@@ -2135,5 +2277,5 @@
 	"""
 
-	return StringToEnum('TransientSolution')
+	return StringToEnum('TransientSolution')[0]
 
 def ApproximationEnum():
@@ -2145,5 +2287,15 @@
 	"""
 
-	return StringToEnum('Approximation')
+	return StringToEnum('Approximation')[0]
+
+def NoneApproximationEnum():
+	"""
+	NONEAPPROXIMATIONENUM - Enum of NoneApproximation
+
+	   Usage:
+	      macro=NoneApproximationEnum()
+	"""
+
+	return StringToEnum('NoneApproximation')[0]
 
 def HutterApproximationEnum():
@@ -2155,5 +2307,5 @@
 	"""
 
-	return StringToEnum('HutterApproximation')
+	return StringToEnum('HutterApproximation')[0]
 
 def MacAyealApproximationEnum():
@@ -2165,5 +2317,5 @@
 	"""
 
-	return StringToEnum('MacAyealApproximation')
+	return StringToEnum('MacAyealApproximation')[0]
 
 def MacAyealPattynApproximationEnum():
@@ -2175,5 +2327,5 @@
 	"""
 
-	return StringToEnum('MacAyealPattynApproximation')
+	return StringToEnum('MacAyealPattynApproximation')[0]
 
 def MacAyealStokesApproximationEnum():
@@ -2185,15 +2337,15 @@
 	"""
 
-	return StringToEnum('MacAyealStokesApproximation')
-
-def NoneApproximationEnum():
-	"""
-	NONEAPPROXIMATIONENUM - Enum of NoneApproximation
-
-	   Usage:
-	      macro=NoneApproximationEnum()
-	"""
-
-	return StringToEnum('NoneApproximation')
+	return StringToEnum('MacAyealStokesApproximation')[0]
+
+def L1L2ApproximationEnum():
+	"""
+	L1L2APPROXIMATIONENUM - Enum of L1L2Approximation
+
+	   Usage:
+	      macro=L1L2ApproximationEnum()
+	"""
+
+	return StringToEnum('L1L2Approximation')[0]
 
 def PattynApproximationEnum():
@@ -2205,5 +2357,5 @@
 	"""
 
-	return StringToEnum('PattynApproximation')
+	return StringToEnum('PattynApproximation')[0]
 
 def PattynStokesApproximationEnum():
@@ -2215,5 +2367,5 @@
 	"""
 
-	return StringToEnum('PattynStokesApproximation')
+	return StringToEnum('PattynStokesApproximation')[0]
 
 def StokesApproximationEnum():
@@ -2225,5 +2377,5 @@
 	"""
 
-	return StringToEnum('StokesApproximation')
+	return StringToEnum('StokesApproximation')[0]
 
 def ConstraintsEnum():
@@ -2235,5 +2387,5 @@
 	"""
 
-	return StringToEnum('Constraints')
+	return StringToEnum('Constraints')[0]
 
 def LoadsEnum():
@@ -2245,5 +2397,5 @@
 	"""
 
-	return StringToEnum('Loads')
+	return StringToEnum('Loads')[0]
 
 def MaterialsEnum():
@@ -2255,5 +2407,5 @@
 	"""
 
-	return StringToEnum('Materials')
+	return StringToEnum('Materials')[0]
 
 def NodesEnum():
@@ -2265,5 +2417,5 @@
 	"""
 
-	return StringToEnum('Nodes')
+	return StringToEnum('Nodes')[0]
 
 def ParametersEnum():
@@ -2275,5 +2427,5 @@
 	"""
 
-	return StringToEnum('Parameters')
+	return StringToEnum('Parameters')[0]
 
 def VerticesEnum():
@@ -2285,5 +2437,5 @@
 	"""
 
-	return StringToEnum('Vertices')
+	return StringToEnum('Vertices')[0]
 
 def ResultsEnum():
@@ -2295,5 +2447,25 @@
 	"""
 
-	return StringToEnum('Results')
+	return StringToEnum('Results')[0]
+
+def GenericParamEnum():
+	"""
+	GENERICPARAMENUM - Enum of GenericParam
+
+	   Usage:
+	      macro=GenericParamEnum()
+	"""
+
+	return StringToEnum('GenericParam')[0]
+
+def AdolcParamEnum():
+	"""
+	ADOLCPARAMENUM - Enum of AdolcParam
+
+	   Usage:
+	      macro=AdolcParamEnum()
+	"""
+
+	return StringToEnum('AdolcParam')[0]
 
 def BoolInputEnum():
@@ -2305,5 +2477,5 @@
 	"""
 
-	return StringToEnum('BoolInput')
+	return StringToEnum('BoolInput')[0]
 
 def BoolParamEnum():
@@ -2315,5 +2487,5 @@
 	"""
 
-	return StringToEnum('BoolParam')
+	return StringToEnum('BoolParam')[0]
 
 def ContourEnum():
@@ -2325,5 +2497,5 @@
 	"""
 
-	return StringToEnum('Contour')
+	return StringToEnum('Contour')[0]
 
 def ControlInputEnum():
@@ -2335,5 +2507,5 @@
 	"""
 
-	return StringToEnum('ControlInput')
+	return StringToEnum('ControlInput')[0]
 
 def DatasetInputEnum():
@@ -2345,5 +2517,5 @@
 	"""
 
-	return StringToEnum('DatasetInput')
+	return StringToEnum('DatasetInput')[0]
 
 def DofIndexingEnum():
@@ -2355,5 +2527,5 @@
 	"""
 
-	return StringToEnum('DofIndexing')
+	return StringToEnum('DofIndexing')[0]
 
 def DoubleInputEnum():
@@ -2365,5 +2537,5 @@
 	"""
 
-	return StringToEnum('DoubleInput')
+	return StringToEnum('DoubleInput')[0]
 
 def DoubleMatArrayParamEnum():
@@ -2375,5 +2547,5 @@
 	"""
 
-	return StringToEnum('DoubleMatArrayParam')
+	return StringToEnum('DoubleMatArrayParam')[0]
 
 def DoubleMatParamEnum():
@@ -2385,5 +2557,5 @@
 	"""
 
-	return StringToEnum('DoubleMatParam')
+	return StringToEnum('DoubleMatParam')[0]
 
 def DoubleParamEnum():
@@ -2395,5 +2567,5 @@
 	"""
 
-	return StringToEnum('DoubleParam')
+	return StringToEnum('DoubleParam')[0]
 
 def DoubleVecParamEnum():
@@ -2405,5 +2577,5 @@
 	"""
 
-	return StringToEnum('DoubleVecParam')
+	return StringToEnum('DoubleVecParam')[0]
 
 def ElementEnum():
@@ -2415,5 +2587,5 @@
 	"""
 
-	return StringToEnum('Element')
+	return StringToEnum('Element')[0]
 
 def ElementResultEnum():
@@ -2425,5 +2597,5 @@
 	"""
 
-	return StringToEnum('ElementResult')
+	return StringToEnum('ElementResult')[0]
 
 def ExternalResultEnum():
@@ -2435,5 +2607,5 @@
 	"""
 
-	return StringToEnum('ExternalResult')
+	return StringToEnum('ExternalResult')[0]
 
 def FileParamEnum():
@@ -2445,5 +2617,5 @@
 	"""
 
-	return StringToEnum('FileParam')
+	return StringToEnum('FileParam')[0]
 
 def HookEnum():
@@ -2455,5 +2627,5 @@
 	"""
 
-	return StringToEnum('Hook')
+	return StringToEnum('Hook')[0]
 
 def IcefrontEnum():
@@ -2465,5 +2637,5 @@
 	"""
 
-	return StringToEnum('Icefront')
+	return StringToEnum('Icefront')[0]
 
 def InputEnum():
@@ -2475,5 +2647,5 @@
 	"""
 
-	return StringToEnum('Input')
+	return StringToEnum('Input')[0]
 
 def IntInputEnum():
@@ -2485,5 +2657,5 @@
 	"""
 
-	return StringToEnum('IntInput')
+	return StringToEnum('IntInput')[0]
 
 def IntParamEnum():
@@ -2495,5 +2667,5 @@
 	"""
 
-	return StringToEnum('IntParam')
+	return StringToEnum('IntParam')[0]
 
 def IntVecParamEnum():
@@ -2505,5 +2677,15 @@
 	"""
 
-	return StringToEnum('IntVecParam')
+	return StringToEnum('IntVecParam')[0]
+
+def TransientParamEnum():
+	"""
+	TRANSIENTPARAMENUM - Enum of TransientParam
+
+	   Usage:
+	      macro=TransientParamEnum()
+	"""
+
+	return StringToEnum('TransientParam')[0]
 
 def MacAyeal2dIceFrontEnum():
@@ -2515,5 +2697,5 @@
 	"""
 
-	return StringToEnum('MacAyeal2dIceFront')
+	return StringToEnum('MacAyeal2dIceFront')[0]
 
 def MacAyeal3dIceFrontEnum():
@@ -2525,5 +2707,5 @@
 	"""
 
-	return StringToEnum('MacAyeal3dIceFront')
+	return StringToEnum('MacAyeal3dIceFront')[0]
 
 def MaticeEnum():
@@ -2535,5 +2717,15 @@
 	"""
 
-	return StringToEnum('Matice')
+	return StringToEnum('Matice')[0]
+
+def MatdamageiceEnum():
+	"""
+	MATDAMAGEICEENUM - Enum of Matdamageice
+
+	   Usage:
+	      macro=MatdamageiceEnum()
+	"""
+
+	return StringToEnum('Matdamageice')[0]
 
 def MatparEnum():
@@ -2545,5 +2737,5 @@
 	"""
 
-	return StringToEnum('Matpar')
+	return StringToEnum('Matpar')[0]
 
 def NodeEnum():
@@ -2555,5 +2747,5 @@
 	"""
 
-	return StringToEnum('Node')
+	return StringToEnum('Node')[0]
 
 def NumericalfluxEnum():
@@ -2565,5 +2757,5 @@
 	"""
 
-	return StringToEnum('Numericalflux')
+	return StringToEnum('Numericalflux')[0]
 
 def ParamEnum():
@@ -2575,5 +2767,15 @@
 	"""
 
-	return StringToEnum('Param')
+	return StringToEnum('Param')[0]
+
+def L1L2IceFrontEnum():
+	"""
+	L1L2ICEFRONTENUM - Enum of L1L2IceFront
+
+	   Usage:
+	      macro=L1L2IceFrontEnum()
+	"""
+
+	return StringToEnum('L1L2IceFront')[0]
 
 def PattynIceFrontEnum():
@@ -2585,5 +2787,5 @@
 	"""
 
-	return StringToEnum('PattynIceFront')
+	return StringToEnum('PattynIceFront')[0]
 
 def PengridEnum():
@@ -2595,5 +2797,5 @@
 	"""
 
-	return StringToEnum('Pengrid')
+	return StringToEnum('Pengrid')[0]
 
 def PenpairEnum():
@@ -2605,5 +2807,5 @@
 	"""
 
-	return StringToEnum('Penpair')
+	return StringToEnum('Penpair')[0]
 
 def PentaEnum():
@@ -2615,5 +2817,5 @@
 	"""
 
-	return StringToEnum('Penta')
+	return StringToEnum('Penta')[0]
 
 def PentaP1InputEnum():
@@ -2625,5 +2827,5 @@
 	"""
 
-	return StringToEnum('PentaP1Input')
+	return StringToEnum('PentaP1Input')[0]
 
 def MatrixParamEnum():
@@ -2635,5 +2837,5 @@
 	"""
 
-	return StringToEnum('MatrixParam')
+	return StringToEnum('MatrixParam')[0]
 
 def VectorParamEnum():
@@ -2645,5 +2847,5 @@
 	"""
 
-	return StringToEnum('VectorParam')
+	return StringToEnum('VectorParam')[0]
 
 def RiftfrontEnum():
@@ -2655,5 +2857,5 @@
 	"""
 
-	return StringToEnum('Riftfront')
+	return StringToEnum('Riftfront')[0]
 
 def SegmentEnum():
@@ -2665,5 +2867,5 @@
 	"""
 
-	return StringToEnum('Segment')
+	return StringToEnum('Segment')[0]
 
 def SegmentRiftfrontEnum():
@@ -2675,5 +2877,5 @@
 	"""
 
-	return StringToEnum('SegmentRiftfront')
+	return StringToEnum('SegmentRiftfront')[0]
 
 def SpcDynamicEnum():
@@ -2685,5 +2887,5 @@
 	"""
 
-	return StringToEnum('SpcDynamic')
+	return StringToEnum('SpcDynamic')[0]
 
 def SpcStaticEnum():
@@ -2695,5 +2897,5 @@
 	"""
 
-	return StringToEnum('SpcStatic')
+	return StringToEnum('SpcStatic')[0]
 
 def SpcTransientEnum():
@@ -2705,5 +2907,5 @@
 	"""
 
-	return StringToEnum('SpcTransient')
+	return StringToEnum('SpcTransient')[0]
 
 def StokesIceFrontEnum():
@@ -2715,5 +2917,5 @@
 	"""
 
-	return StringToEnum('StokesIceFront')
+	return StringToEnum('StokesIceFront')[0]
 
 def StringArrayParamEnum():
@@ -2725,5 +2927,5 @@
 	"""
 
-	return StringToEnum('StringArrayParam')
+	return StringToEnum('StringArrayParam')[0]
 
 def StringParamEnum():
@@ -2735,5 +2937,5 @@
 	"""
 
-	return StringToEnum('StringParam')
+	return StringToEnum('StringParam')[0]
 
 def TriaEnum():
@@ -2745,5 +2947,5 @@
 	"""
 
-	return StringToEnum('Tria')
+	return StringToEnum('Tria')[0]
 
 def TriaP1InputEnum():
@@ -2755,5 +2957,5 @@
 	"""
 
-	return StringToEnum('TriaP1Input')
+	return StringToEnum('TriaP1Input')[0]
 
 def VertexEnum():
@@ -2765,5 +2967,5 @@
 	"""
 
-	return StringToEnum('Vertex')
+	return StringToEnum('Vertex')[0]
 
 def AirEnum():
@@ -2775,5 +2977,5 @@
 	"""
 
-	return StringToEnum('Air')
+	return StringToEnum('Air')[0]
 
 def IceEnum():
@@ -2785,5 +2987,5 @@
 	"""
 
-	return StringToEnum('Ice')
+	return StringToEnum('Ice')[0]
 
 def MelangeEnum():
@@ -2795,5 +2997,5 @@
 	"""
 
-	return StringToEnum('Melange')
+	return StringToEnum('Melange')[0]
 
 def WaterEnum():
@@ -2805,5 +3007,5 @@
 	"""
 
-	return StringToEnum('Water')
+	return StringToEnum('Water')[0]
 
 def ClosedEnum():
@@ -2815,5 +3017,5 @@
 	"""
 
-	return StringToEnum('Closed')
+	return StringToEnum('Closed')[0]
 
 def FreeEnum():
@@ -2825,5 +3027,5 @@
 	"""
 
-	return StringToEnum('Free')
+	return StringToEnum('Free')[0]
 
 def OpenEnum():
@@ -2835,5 +3037,5 @@
 	"""
 
-	return StringToEnum('Open')
+	return StringToEnum('Open')[0]
 
 def AdjointpEnum():
@@ -2845,5 +3047,5 @@
 	"""
 
-	return StringToEnum('Adjointp')
+	return StringToEnum('Adjointp')[0]
 
 def AdjointxEnum():
@@ -2855,5 +3057,5 @@
 	"""
 
-	return StringToEnum('Adjointx')
+	return StringToEnum('Adjointx')[0]
 
 def AdjointyEnum():
@@ -2865,5 +3067,5 @@
 	"""
 
-	return StringToEnum('Adjointy')
+	return StringToEnum('Adjointy')[0]
 
 def AdjointzEnum():
@@ -2875,5 +3077,5 @@
 	"""
 
-	return StringToEnum('Adjointz')
+	return StringToEnum('Adjointz')[0]
 
 def BedSlopeXEnum():
@@ -2885,5 +3087,5 @@
 	"""
 
-	return StringToEnum('BedSlopeX')
+	return StringToEnum('BedSlopeX')[0]
 
 def BedSlopeYEnum():
@@ -2895,5 +3097,5 @@
 	"""
 
-	return StringToEnum('BedSlopeY')
+	return StringToEnum('BedSlopeY')[0]
 
 def BoundaryEnum():
@@ -2905,5 +3107,5 @@
 	"""
 
-	return StringToEnum('Boundary')
+	return StringToEnum('Boundary')[0]
 
 def ConstantEnum():
@@ -2915,5 +3117,5 @@
 	"""
 
-	return StringToEnum('Constant')
+	return StringToEnum('Constant')[0]
 
 def ConvergedEnum():
@@ -2925,5 +3127,5 @@
 	"""
 
-	return StringToEnum('Converged')
+	return StringToEnum('Converged')[0]
 
 def ExtToIuEnum():
@@ -2935,5 +3137,5 @@
 	"""
 
-	return StringToEnum('ExtToIu')
+	return StringToEnum('ExtToIu')[0]
 
 def FillEnum():
@@ -2945,5 +3147,5 @@
 	"""
 
-	return StringToEnum('Fill')
+	return StringToEnum('Fill')[0]
 
 def FractionIncrementEnum():
@@ -2955,5 +3157,5 @@
 	"""
 
-	return StringToEnum('FractionIncrement')
+	return StringToEnum('FractionIncrement')[0]
 
 def FrictionEnum():
@@ -2965,5 +3167,5 @@
 	"""
 
-	return StringToEnum('Friction')
+	return StringToEnum('Friction')[0]
 
 def GroundinglineMeltingRateEnum():
@@ -2975,5 +3177,5 @@
 	"""
 
-	return StringToEnum('GroundinglineMeltingRate')
+	return StringToEnum('GroundinglineMeltingRate')[0]
 
 def InternalEnum():
@@ -2985,5 +3187,5 @@
 	"""
 
-	return StringToEnum('Internal')
+	return StringToEnum('Internal')[0]
 
 def IuToExtEnum():
@@ -2995,5 +3197,5 @@
 	"""
 
-	return StringToEnum('IuToExt')
+	return StringToEnum('IuToExt')[0]
 
 def MassFluxEnum():
@@ -3005,5 +3207,5 @@
 	"""
 
-	return StringToEnum('MassFlux')
+	return StringToEnum('MassFlux')[0]
 
 def MaxPenetrationEnum():
@@ -3015,5 +3217,5 @@
 	"""
 
-	return StringToEnum('MaxPenetration')
+	return StringToEnum('MaxPenetration')[0]
 
 def MeltingOffsetEnum():
@@ -3025,5 +3227,5 @@
 	"""
 
-	return StringToEnum('MeltingOffset')
+	return StringToEnum('MeltingOffset')[0]
 
 def MisfitEnum():
@@ -3035,5 +3237,5 @@
 	"""
 
-	return StringToEnum('Misfit')
+	return StringToEnum('Misfit')[0]
 
 def NumberNodeToElementConnectivityEnum():
@@ -3045,5 +3247,5 @@
 	"""
 
-	return StringToEnum('NumberNodeToElementConnectivity')
+	return StringToEnum('NumberNodeToElementConnectivity')[0]
 
 def PressureEnum():
@@ -3055,5 +3257,5 @@
 	"""
 
-	return StringToEnum('Pressure')
+	return StringToEnum('Pressure')[0]
 
 def PressurePicardEnum():
@@ -3065,5 +3267,5 @@
 	"""
 
-	return StringToEnum('PressurePicard')
+	return StringToEnum('PressurePicard')[0]
 
 def QmuPressureEnum():
@@ -3075,5 +3277,5 @@
 	"""
 
-	return StringToEnum('QmuPressure')
+	return StringToEnum('QmuPressure')[0]
 
 def QmuVxEnum():
@@ -3085,5 +3287,5 @@
 	"""
 
-	return StringToEnum('QmuVx')
+	return StringToEnum('QmuVx')[0]
 
 def QmuVyEnum():
@@ -3095,5 +3297,5 @@
 	"""
 
-	return StringToEnum('QmuVy')
+	return StringToEnum('QmuVy')[0]
 
 def QmuVzEnum():
@@ -3105,5 +3307,5 @@
 	"""
 
-	return StringToEnum('QmuVz')
+	return StringToEnum('QmuVz')[0]
 
 def QmuThicknessEnum():
@@ -3115,5 +3317,5 @@
 	"""
 
-	return StringToEnum('QmuThickness')
+	return StringToEnum('QmuThickness')[0]
 
 def QmuBedEnum():
@@ -3125,5 +3327,5 @@
 	"""
 
-	return StringToEnum('QmuBed')
+	return StringToEnum('QmuBed')[0]
 
 def QmuSurfaceEnum():
@@ -3135,5 +3337,5 @@
 	"""
 
-	return StringToEnum('QmuSurface')
+	return StringToEnum('QmuSurface')[0]
 
 def QmuMeltingEnum():
@@ -3145,5 +3347,5 @@
 	"""
 
-	return StringToEnum('QmuMelting')
+	return StringToEnum('QmuMelting')[0]
 
 def ResetPenaltiesEnum():
@@ -3155,5 +3357,5 @@
 	"""
 
-	return StringToEnum('ResetPenalties')
+	return StringToEnum('ResetPenalties')[0]
 
 def SegmentOnIceShelfEnum():
@@ -3165,5 +3367,5 @@
 	"""
 
-	return StringToEnum('SegmentOnIceShelf')
+	return StringToEnum('SegmentOnIceShelf')[0]
 
 def SurfaceAbsVelMisfitEnum():
@@ -3175,5 +3377,5 @@
 	"""
 
-	return StringToEnum('SurfaceAbsVelMisfit')
+	return StringToEnum('SurfaceAbsVelMisfit')[0]
 
 def SurfaceAreaEnum():
@@ -3185,5 +3387,5 @@
 	"""
 
-	return StringToEnum('SurfaceArea')
+	return StringToEnum('SurfaceArea')[0]
 
 def SurfaceAverageVelMisfitEnum():
@@ -3195,5 +3397,5 @@
 	"""
 
-	return StringToEnum('SurfaceAverageVelMisfit')
+	return StringToEnum('SurfaceAverageVelMisfit')[0]
 
 def SurfaceLogVelMisfitEnum():
@@ -3205,5 +3407,5 @@
 	"""
 
-	return StringToEnum('SurfaceLogVelMisfit')
+	return StringToEnum('SurfaceLogVelMisfit')[0]
 
 def SurfaceLogVxVyMisfitEnum():
@@ -3215,5 +3417,5 @@
 	"""
 
-	return StringToEnum('SurfaceLogVxVyMisfit')
+	return StringToEnum('SurfaceLogVxVyMisfit')[0]
 
 def SurfaceRelVelMisfitEnum():
@@ -3225,5 +3427,5 @@
 	"""
 
-	return StringToEnum('SurfaceRelVelMisfit')
+	return StringToEnum('SurfaceRelVelMisfit')[0]
 
 def SurfaceSlopeXEnum():
@@ -3235,5 +3437,5 @@
 	"""
 
-	return StringToEnum('SurfaceSlopeX')
+	return StringToEnum('SurfaceSlopeX')[0]
 
 def SurfaceSlopeYEnum():
@@ -3245,5 +3447,5 @@
 	"""
 
-	return StringToEnum('SurfaceSlopeY')
+	return StringToEnum('SurfaceSlopeY')[0]
 
 def TemperatureEnum():
@@ -3255,5 +3457,5 @@
 	"""
 
-	return StringToEnum('Temperature')
+	return StringToEnum('Temperature')[0]
 
 def TemperatureOldEnum():
@@ -3265,5 +3467,5 @@
 	"""
 
-	return StringToEnum('TemperatureOld')
+	return StringToEnum('TemperatureOld')[0]
 
 def TemperaturePicardEnum():
@@ -3275,5 +3477,25 @@
 	"""
 
-	return StringToEnum('TemperaturePicard')
+	return StringToEnum('TemperaturePicard')[0]
+
+def TemperatureSurfaceEnum():
+	"""
+	TEMPERATURESURFACEENUM - Enum of TemperatureSurface
+
+	   Usage:
+	      macro=TemperatureSurfaceEnum()
+	"""
+
+	return StringToEnum('TemperatureSurface')[0]
+
+def TemperatureBasalEnum():
+	"""
+	TEMPERATUREBASALENUM - Enum of TemperatureBasal
+
+	   Usage:
+	      macro=TemperatureBasalEnum()
+	"""
+
+	return StringToEnum('TemperatureBasal')[0]
 
 def ThicknessAbsMisfitEnum():
@@ -3285,5 +3507,5 @@
 	"""
 
-	return StringToEnum('ThicknessAbsMisfit')
+	return StringToEnum('ThicknessAbsMisfit')[0]
 
 def TypeEnum():
@@ -3295,5 +3517,5 @@
 	"""
 
-	return StringToEnum('Type')
+	return StringToEnum('Type')[0]
 
 def VelEnum():
@@ -3305,5 +3527,5 @@
 	"""
 
-	return StringToEnum('Vel')
+	return StringToEnum('Vel')[0]
 
 def VelocityEnum():
@@ -3315,5 +3537,5 @@
 	"""
 
-	return StringToEnum('Velocity')
+	return StringToEnum('Velocity')[0]
 
 def VxAverageEnum():
@@ -3325,5 +3547,5 @@
 	"""
 
-	return StringToEnum('VxAverage')
+	return StringToEnum('VxAverage')[0]
 
 def VxEnum():
@@ -3335,5 +3557,5 @@
 	"""
 
-	return StringToEnum('Vx')
+	return StringToEnum('Vx')[0]
 
 def VxPicardEnum():
@@ -3345,5 +3567,5 @@
 	"""
 
-	return StringToEnum('VxPicard')
+	return StringToEnum('VxPicard')[0]
 
 def VyAverageEnum():
@@ -3355,5 +3577,5 @@
 	"""
 
-	return StringToEnum('VyAverage')
+	return StringToEnum('VyAverage')[0]
 
 def VyEnum():
@@ -3365,5 +3587,5 @@
 	"""
 
-	return StringToEnum('Vy')
+	return StringToEnum('Vy')[0]
 
 def VyPicardEnum():
@@ -3375,5 +3597,5 @@
 	"""
 
-	return StringToEnum('VyPicard')
+	return StringToEnum('VyPicard')[0]
 
 def VzEnum():
@@ -3385,5 +3607,5 @@
 	"""
 
-	return StringToEnum('Vz')
+	return StringToEnum('Vz')[0]
 
 def VzMacAyealEnum():
@@ -3395,5 +3617,5 @@
 	"""
 
-	return StringToEnum('VzMacAyeal')
+	return StringToEnum('VzMacAyeal')[0]
 
 def VzPattynEnum():
@@ -3405,5 +3627,5 @@
 	"""
 
-	return StringToEnum('VzPattyn')
+	return StringToEnum('VzPattyn')[0]
 
 def VzPicardEnum():
@@ -3415,5 +3637,5 @@
 	"""
 
-	return StringToEnum('VzPicard')
+	return StringToEnum('VzPicard')[0]
 
 def VzStokesEnum():
@@ -3425,5 +3647,5 @@
 	"""
 
-	return StringToEnum('VzStokes')
+	return StringToEnum('VzStokes')[0]
 
 def VxMeshEnum():
@@ -3435,5 +3657,5 @@
 	"""
 
-	return StringToEnum('VxMesh')
+	return StringToEnum('VxMesh')[0]
 
 def VyMeshEnum():
@@ -3445,5 +3667,5 @@
 	"""
 
-	return StringToEnum('VyMesh')
+	return StringToEnum('VyMesh')[0]
 
 def VzMeshEnum():
@@ -3455,5 +3677,5 @@
 	"""
 
-	return StringToEnum('VzMesh')
+	return StringToEnum('VzMesh')[0]
 
 def EnthalpyEnum():
@@ -3465,5 +3687,5 @@
 	"""
 
-	return StringToEnum('Enthalpy')
+	return StringToEnum('Enthalpy')[0]
 
 def EnthalpyPicardEnum():
@@ -3475,5 +3697,5 @@
 	"""
 
-	return StringToEnum('EnthalpyPicard')
+	return StringToEnum('EnthalpyPicard')[0]
 
 def ThicknessAbsGradientEnum():
@@ -3485,5 +3707,25 @@
 	"""
 
-	return StringToEnum('ThicknessAbsGradient')
+	return StringToEnum('ThicknessAbsGradient')[0]
+
+def ThicknessAlongGradientEnum():
+	"""
+	THICKNESSALONGGRADIENTENUM - Enum of ThicknessAlongGradient
+
+	   Usage:
+	      macro=ThicknessAlongGradientEnum()
+	"""
+
+	return StringToEnum('ThicknessAlongGradient')[0]
+
+def ThicknessAcrossGradientEnum():
+	"""
+	THICKNESSACROSSGRADIENTENUM - Enum of ThicknessAcrossGradient
+
+	   Usage:
+	      macro=ThicknessAcrossGradientEnum()
+	"""
+
+	return StringToEnum('ThicknessAcrossGradient')[0]
 
 def StepResponsesEnum():
@@ -3495,5 +3737,5 @@
 	"""
 
-	return StringToEnum('StepResponses')
+	return StringToEnum('StepResponses')[0]
 
 def IntMatParamEnum():
@@ -3505,5 +3747,5 @@
 	"""
 
-	return StringToEnum('IntMatParam')
+	return StringToEnum('IntMatParam')[0]
 
 def RheologyBbarAbsGradientEnum():
@@ -3515,5 +3757,5 @@
 	"""
 
-	return StringToEnum('RheologyBbarAbsGradient')
+	return StringToEnum('RheologyBbarAbsGradient')[0]
 
 def DragCoefficientAbsGradientEnum():
@@ -3525,5 +3767,5 @@
 	"""
 
-	return StringToEnum('DragCoefficientAbsGradient')
+	return StringToEnum('DragCoefficientAbsGradient')[0]
 
 def TransientInputEnum():
@@ -3535,5 +3777,5 @@
 	"""
 
-	return StringToEnum('TransientInput')
+	return StringToEnum('TransientInput')[0]
 
 def OutputfilenameEnum():
@@ -3545,5 +3787,5 @@
 	"""
 
-	return StringToEnum('Outputfilename')
+	return StringToEnum('Outputfilename')[0]
 
 def WaterfractionEnum():
@@ -3555,5 +3797,5 @@
 	"""
 
-	return StringToEnum('Waterfraction')
+	return StringToEnum('Waterfraction')[0]
 
 def WatercolumnEnum():
@@ -3565,5 +3807,5 @@
 	"""
 
-	return StringToEnum('Watercolumn')
+	return StringToEnum('Watercolumn')[0]
 
 def BasalFrictionEnum():
@@ -3575,5 +3817,5 @@
 	"""
 
-	return StringToEnum('BasalFriction')
+	return StringToEnum('BasalFriction')[0]
 
 def ViscousHeatingEnum():
@@ -3585,5 +3827,5 @@
 	"""
 
-	return StringToEnum('ViscousHeating')
+	return StringToEnum('ViscousHeating')[0]
 
 def QmuTemperatureEnum():
@@ -3595,5 +3837,5 @@
 	"""
 
-	return StringToEnum('QmuTemperature')
+	return StringToEnum('QmuTemperature')[0]
 
 def HydrologyWaterVxEnum():
@@ -3605,5 +3847,5 @@
 	"""
 
-	return StringToEnum('HydrologyWaterVx')
+	return StringToEnum('HydrologyWaterVx')[0]
 
 def HydrologyWaterVyEnum():
@@ -3615,5 +3857,5 @@
 	"""
 
-	return StringToEnum('HydrologyWaterVy')
+	return StringToEnum('HydrologyWaterVy')[0]
 
 def StressTensorEnum():
@@ -3625,5 +3867,5 @@
 	"""
 
-	return StringToEnum('StressTensor')
+	return StringToEnum('StressTensor')[0]
 
 def StressTensorxxEnum():
@@ -3635,5 +3877,5 @@
 	"""
 
-	return StringToEnum('StressTensorxx')
+	return StringToEnum('StressTensorxx')[0]
 
 def StressTensorxyEnum():
@@ -3645,5 +3887,5 @@
 	"""
 
-	return StringToEnum('StressTensorxy')
+	return StringToEnum('StressTensorxy')[0]
 
 def StressTensorxzEnum():
@@ -3655,5 +3897,5 @@
 	"""
 
-	return StringToEnum('StressTensorxz')
+	return StringToEnum('StressTensorxz')[0]
 
 def StressTensoryyEnum():
@@ -3665,5 +3907,5 @@
 	"""
 
-	return StringToEnum('StressTensoryy')
+	return StringToEnum('StressTensoryy')[0]
 
 def StressTensoryzEnum():
@@ -3675,5 +3917,5 @@
 	"""
 
-	return StringToEnum('StressTensoryz')
+	return StringToEnum('StressTensoryz')[0]
 
 def StressTensorzzEnum():
